Debian Bug report logs - #291716
lynx-cur: truncates suggested filename when Content-Disposition filename contains spaces

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Ian Beckwith <ianb@nessie.mcc.ac.uk>

Date: Sat, 22 Jan 2005 17:48:02 UTC

Severity: minor

Found in version 2.8.6-9

Fixed in version lynx-cur/2.8.6-19

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@nongnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, ianb@nessie.mcc.ac.uk, Atsuhito KOHDA <kohda@debian.org>:
Bug#291716; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Ian Beckwith <ianb@nessie.mcc.ac.uk>:
New Bug report received and forwarded. Copy sent to ianb@nessie.mcc.ac.uk, Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ian Beckwith <ianb@nessie.mcc.ac.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: truncates suggested filename when Content-Disposition filename contains spaces
Date: Sat, 22 Jan 2005 17:36:28 +0000
Package: lynx-cur
Version: 2.8.6-9
Severity: minor

Hello.

When downloading (with 'd') a file for which the HTTP header includes
a Content-Disposition: line with spaces in, eg:

Content-Disposition: attachment; filename="foo bar.txt",

the suggested filename is truncated at the space, i.e. the suggested
filename for the above would be "foo".

Ian.


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages lynx-cur depends on:
ii  debconf                     1.4.42       Debian configuration management sy
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libgnutls11                 1.0.16-13    GNU TLS library - runtime library
ii  libncurses5                 5.4-4        Shared libraries for terminal hand
ii  zlib1g                      1:1.2.2-4    compression library - runtime

-- debconf information:
* lynx-cur/etc_lynx.cfg:
* lynx-cur/defaulturl: /home/ianb/.lynx_bookmarks.html



Reply sent to Atsuhito KOHDA <kohda@nsx.pm.tokushima-u.ac.jp>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 291716-forwarded@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@nsx.pm.tokushima-u.ac.jp>
To: lynx-dev@nongnu.org
Cc: ianb@nessie.mcc.ac.uk, 291716-forwarded@bugs.debian.org
Subject: Re: Bug#291716: lynx-cur: truncates suggested filename when Content-Disposition filename contains spaces
Date: Tue, 01 Feb 2005 11:33:53 +0900 (JST)
Hi all, I got the following bug report recently in Debian.
Is there any chance the problem will be fixed?

> When downloading (with 'd') a file for which the HTTP header includes
> a Content-Disposition: line with spaces in, eg:
> 
> Content-Disposition: attachment; filename="foo bar.txt",
> 
> the suggested filename is truncated at the space, i.e. the suggested
> filename for the above would be "foo".

Thanks in advance,		  2005-2-1(Tue)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Message #9 received at 291716-forwarded@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Atsuhito KOHDA <kohda@nsx.pm.tokushima-u.ac.jp>
Cc: lynx-dev@nongnu.org, ianb@nessie.mcc.ac.uk, 291716-forwarded@bugs.debian.org
Subject: Re: [Lynx-dev] Re: Bug#291716: lynx-cur: truncates suggested filename when Content-Disposition filename contains spaces
Date: Tue, 1 Feb 2005 05:29:40 -0500 (EST)
On Tue, 1 Feb 2005, Atsuhito KOHDA wrote:

> Hi all, I got the following bug report recently in Debian.
> Is there any chance the problem will be fixed?

yes - I intend working on that (lynx in general starting around this 
weekend).  It sounded as if it might be a regression.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Ian Beckwith <ianb@nessie.mcc.ac.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 291716-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 291716-close@bugs.debian.org
Subject: Bug#291716: fixed in lynx-cur 2.8.6-19
Date: Thu, 26 Jan 2006 17:32:12 -0800
Source: lynx-cur
Source-Version: 2.8.6-19

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6-19_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6-19_all.deb
lynx-cur_2.8.6-19.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19.diff.gz
lynx-cur_2.8.6-19.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19.dsc
lynx-cur_2.8.6-19_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-19_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 291716@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 27 Jan 2006 08:10:54 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6-19
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 284677 291716 347989
Changes: 
 lynx-cur (2.8.6-19) unstable; urgency=low
 .
   * This is of 2.8.6dev.17
   - modify parsing of filename from Content-Disposition so that the name is not
   truncated on embedded whitespace.  (Closes: #291716)
   - fixes to source-view of ftp:// and file:// URLs, i.e., eliminate redundant
   PRE's, add DOCTYPE and meta tags  (Closes: #347989)
   - Upstream author taught us that a bug was fixed as a side-effect of
   2.8.6dev.14 (modify initialization so that "cat options.txt | lynx - "
   will allow interactive use).  (Closes: #284677)
   * Oops, I mistyped dev version of a patch in 2.8.6-18.  Fixed.
Files: 
 a11c9e6329a45f723d54a094628a50c9 655 web extra lynx-cur_2.8.6-19.dsc
 465bfc99dcb7231ab721e2ff30bd5cac 3211842 web extra lynx-cur_2.8.6-19.diff.gz
 dc839171b9982fe73b4f7b9a2d5057d6 13022 web extra lynx-cur-wrapper_2.8.6-19_all.deb
 5207a2783379ff6b78ea152f04090ff3 1949278 web extra lynx-cur_2.8.6-19_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFD2WXk1IXdL1v6kOwRAnOUAJ4so4nHmB53SSAo9TaQhRFTVuea1wCeP2gL
j4ISWhkQn2AQLl807KL8i+w=
=vcXg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 17:20:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:45:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.